<mat-sidenav-container class="sidenav-container">
  <mat-sidenav
    #drawer
    class="sidenav"
    fixedInViewport="true"
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'dialog'"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="!(isHandset$ | async)"
    [disableClose]="true"
    [opened]="false"
    >
    <mat-toolbar color="primary">Ledger System</mat-toolbar>
    <mat-nav-list *ngIf="tokenIsValid">
      <a mat-list-item routerLink="/account">Accounts</a>
      <a mat-list-item routerLink="/journalentry">Journal Entry</a>

    </mat-nav-list>
    <mat-nav-list>
        <a mat-list-item (click)="logout()" *ngIf="tokenIsValid || loggedIn">Logout</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
    </mat-toolbar>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
